Bug 810198 - Black screen on boot on HP Folio 13 laptop
Black screen on boot on HP Folio 13 laptop
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
first=3.3 modeset
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-05 06:20 EDT by Alexander Lindqvist
Modified: 2013-07-31 13:42 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 13:42:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ACPI Dump (290.05 KB, text/plain)
2012-04-05 12:40 EDT, Alexander Lindqvist
no flags Details
dmesg with drm.debug=4 enabled (105.92 KB, text/plain)
2012-05-21 02:36 EDT, Alexander Lindqvist
no flags Details
dmesg from Fedora17live with drm.debug=4 enabled (131.21 KB, text/plain)
2012-06-28 02:56 EDT, Alexander Lindqvist
no flags Details

  None (edit)
Description Alexander Lindqvist 2012-04-05 06:20:38 EDT
Description of problem:
This is a kernel regression. 
After grub the screen goes completely black but computer is running.
3.3.0-8.fc17.x86_64 only works with kernel parameters: 
i915.modeset=1 acpi_backlight=vendor

Version-Release number of selected component (if applicable):
3.3.0-8.fc17.x86_64

How reproducible:
Boot computer

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Should work out of the box

Expected results:


Additional info:

Old kernel from Fedora 17 Alpha ISO work out of the box.
3.3.0-0.rc3.git7.2.fc17.x86_64 (Works without the above kernel parameters)
Comment 1 Josh Boyer 2012-04-05 08:12:27 EDT
modeset is enabled by default, so the i915.modeset=1 shouldn't be needed.  If you only specify acpi_backlight=vendor, does it work?

Can you provide the output of acpidump from this machine?
Comment 2 Alexander Lindqvist 2012-04-05 12:40:52 EDT
Created attachment 575495 [details]
ACPI Dump

ACPI dump from HP Folio 13 laptop
Comment 3 Alexander Lindqvist 2012-04-05 12:42:02 EDT
(In reply to comment #1)
> modeset is enabled by default, so the i915.modeset=1 shouldn't be needed.  If
> you only specify acpi_backlight=vendor, does it work?
> 
> Can you provide the output of acpidump from this machine?

You were right. acpi_backlight=vendor is enough.
Comment 4 Adam Jackson 2012-05-18 11:23:01 EDT
Can you boot the machine with 'drm.debug=4' on the kernel command line, and ssh in and attach dmesg from that?
Comment 5 Alexander Lindqvist 2012-05-21 02:36:53 EDT
Created attachment 585741 [details]
dmesg with drm.debug=4 enabled

This is the HP Folio 13 (model: 2000) booting the EL6.2 kernel with kernel option drm.debug=4 as it is now installed on this laptop and experiencing the exact same problem.

I could probably boot the Fedora live cd and get this info from there if you need it.
Comment 6 Dave Jones 2012-06-27 22:01:15 EDT
Please do, as the code is very different.
Comment 7 Alexander Lindqvist 2012-06-28 02:56:50 EDT
Created attachment 594952 [details]
dmesg from Fedora17live with drm.debug=4 enabled
Comment 8 Josh Boyer 2013-03-14 14:09:18 EDT
Are you still having issue with this on 3.8.2 in updates-testing?
Comment 9 Fedora End Of Life 2013-07-03 15:20:59 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-07-31 13:42:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.